/**
 * Data model pour les équipements
 */
export default class EquipementDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      prix: new fields.NumberField({ initial: 0, integer: true }),
      enchantementLoi: new fields.SchemaField({
        actif: new fields.BooleanField({ initial: false }),
        bonus: new fields.NumberField({ initial: 0, integer: true }),
        antiChaos: new fields.BooleanField({ initial: false }),
      }),
    };
  }
}